<template>
<div>
  <div>
    <q-drawer
      v-model="drawer"
      show-if-above
      :width="200"
      :breakpoint="400"
    >
      <q-scroll-area style="height: calc(100% - 150px);">
        <q-list v-if="types" padding>
          <q-item class="" clickable v-ripple>
            <q-item-section avatar>
            </q-item-section>
            <q-item-section style="font-size: 18px;line-height: 22px;">
              Одежда
            </q-item-section>
          </q-item>

          <q-item @click="fetchCatalogue(el.slug)" v-for="el in types" :key="el.uuid"  class="q-ml-xl" clickable v-ripple>
            <q-item-section style="font-size: 18px;line-height: 22px;">
              {{ el.name }}
            </q-item-section>
          </q-item>
        </q-list>
      </q-scroll-area>

      <!--<q-img class="absolute-top" src="https://cdn.quasar.dev/img/material.png" style="height: 150px">
        <div class="absolute-bottom bg-transparent">
          <q-avatar size="56px" class="q-mb-sm">
            <img src="https://cdn.quasar.dev/img/boy-avatar.png">
          </q-avatar>
          <div class="text-weight-bold">Razvan Stoenescu</div>
          <div>@rstoenescu</div>
        </div>
      </q-img>-->
    </q-drawer>
  </div>
  <div>
    <div class="q-pl-xl">
      <q-select
        borderless
        transition-show="jump-up"
        transition-hide="jump-up"
        v-model="model"
        :options="options"
        style="width: 250px"
      />
    </div>
    <div class="row q-px-xl">
      <card v-for="el in catalogue"
            artist="Да, я рисую"
            :product="el"
            :key="el.uuid"
      ></CARD>
    </div>
  </div>
</div>
</template>

<script>
import card from '../components/Catalogue/card'
import { mapActions, mapGetters } from 'vuex'
export default {
  name: 'CataloguePage',
  data () {
    return {
      drawer: false,
      model: 'По популярности',
      options: [
        'По популярности', 'По новизне', 'По возрастанию цены', 'По убыванию цены'
      ]
    }
  },
  components: {
    card
  },
  methods: {
    ...mapActions({
      fetchCatalogue: 'CatalogueModule/fetchCatalogue',
      fetchTypes: 'CatalogueModule/fetchTypes'
    })
  },
  computed: {
    ...mapGetters({
      catalogue: 'CatalogueModule/catalogue',
      types: 'CatalogueModule/types'
    })
  },
  created () {
    this.fetchTypes().then(() => {
      this.fetchCatalogue(this.types[0].slug)
    })
  }
}
</script>
